Subject: Re: bug#57150: 29.0.50; [PATCH] Add test coverage for overlay modification hooks

From: Ihor Radchenko <[email-masked]>
Date: Sat, 13 Aug 2022 12:07:49 +0800

Matt Armstrong <[email-masked]> writes:

> I noticed there was no explicit test against the overlay modification
> hook boundary conditions.  The attached patch adds some, which might be
> nice to have if a person (possibly me) someday optimizes overlay
> performance with a change in data structure.

Just in case. Have you seen
https://lists.gnu.org/archive/html/emacs-devel/2019-12/msg00323.html
?

I am not sure how much progress have been made on the noverlay branch,
but there was at least some existing test suitcase in there. Not sure if
it has been merged or if your proposed patch is not covered.

Best,
Ihor